Full name: projects.locations.servingProfiles.patch
Updates a ServingProfile.
Endpoint
patchhttps://{service-endpoint}/v1/{servingProfile.name}
PATCH https://{service-endpoint}/v1/{servingProfile.name}
Where {service-endpoint} is one of the supported service endpoints.
Path parameters
servingProfile.namestring
Identifier. The resource name of the ServingProfile.
Query parameters
Optional. The list of fields to update; see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask. If omitted, all populated (non-empty) mutable fields are updated; if set to ["*"], all mutable fields are fully replaced (unpopulated values are cleared).
This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".
Request body
The request body contains an instance of ServingProfile.
Response body
If successful, the response body contains an instance of ServingProfile.